package cpcns.dingZhi.keji.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.keji.dao.IKeJiDao;
import cpcns.dingZhi.keji.model.keJi;
import cpcns.dingZhi.keji.service.IKeJiService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("keJiService")
public class KeJiServiceImpl extends DangAnBaseServiceImpl<keJi> implements IKeJiService {
  @Autowired
  private IKeJiDao keJiDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select guiDangNianDu,zeRenZhe,dangHao,baoGuanQiXian,hangBiaoShi,quanZongHao,wenJianBianHao,miJi,biaoTi,chengWenRiQi,wenJianKaiShiShiJian from ")).append(table).append(" where 1=1 and zhuangTai not in(:zhuangTai)");
    tp.put("zhuangTai", new String[] { "3", "4" });
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("quanZongHao");
      if (para != null && para != "") {
        sql.append(" and quanZongHao=:quanZongHao");
        tp.put("quanZongHao", para);
      } 
      para = map.get("zeRenZhe");
      if (para != null && para != "") {
        sql.append(" and zeRenZhe=:zeRenZhe");
        tp.put("zeRenZhe", para);
      } 
      para = map.get("wenJianBianHao");
      if (para != null && para != "") {
        sql.append(" and wenJianBianHao=:wenJianBianHao");
        tp.put("wenJianBianHao", para);
      } 
      para = map.get("miJi");
      if (para != null && para != "") {
        sql.append(" and miJi=:miJi");
        tp.put("miJi", para);
      } 
      para = map.get("dangHao");
      if (para != null && para != "") {
        sql.append(" and dangHao like :dangHao");
        tp.put("dangHao", "%" + para + "%");
      } 
      para = map.get("baoGuanQiXian");
      if (para != null && para != "") {
        sql.append(" and baoGuanQiXian=:baoGuanQiXian");
        tp.put("baoGuanQiXian", para);
      } 
      para = map.get("guiDangNianDu");
      if (para != null && para != "") {
        tp.put("guiDangNianDu", para);
        para = map.get("guiDangNianDu_Operator");
        if (para != null && para != "") {
          sql.append(" and guiDangNianDu ").append(para).append(":guiDangNianDu");
        } else {
          sql.append(" and guiDangNianDu ").append("=:guiDangNianDu");
        } 
      } 
      para = map.get("biaoTi");
      if (para != null && para != "") {
        sql.append(" and biaoTi like :biaoTi");
        tp.put("biaoTi", "%" + para + "%");
      } 
      para = map.get("chengWenRiQi");
      if (para != null && para != "") {
        sql.append(" and chengWenRiQi=:chengWenRiQi");
        tp.put("chengWenRiQi", para);
      } 
    } 
    return this.keJiDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
  
  public List<Map<String, Object>> getDate(String table, Map<String, Object> map, User user) {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select dangHao,xingMing,biaoTi,chengWenRiQi,TO_CHAR(wenJianKaiShiShiJian, 'yyyy-mm-dd') as wenJianKaiShiShiJian,yeShu,miJi,baoGuanQiXian from ")).append(table).append(" where 1=1 and zhuangTai not in(:zhuangTai)");
    pinjieSql(sql, tp, map);
    return this.keJiDao.getListMap(sql.toString(), tp);
  }
  
  private void pinjieSql(StringBuffer sql, Map<String, Object> tp, Map<String, Object> map) {
    tp.put("zhuangTai", new String[] { "3", "4" });
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("hbs");
      if (para != null && para != "") {
        sql.append(" and hangbiaoshi in(:hangbiaoshi)");
        tp.put("hangbiaoshi", para.toString().split(","));
      } 
      if (StringUtils.isBlank((String)para)) {
        para = map.get("quanZongHao");
        if (para != null && para != "") {
          sql.append(" and quanZongHao=:quanZongHao");
          tp.put("quanZongHao", para);
        } 
        para = map.get("guiDangNianDu");
        if (para != null && para != "") {
          tp.put("guiDangNianDu", para);
          para = map.get("guiDangNianDu_Operator");
          if (para != null && para != "") {
            sql.append(" and guiDangNianDu ").append(para).append(":guiDangNianDu");
          } else {
            sql.append(" and guiDangNianDu ").append("=:guiDangNianDu");
          } 
        } 
        para = map.get("baoGuanQiXian");
        if (para != null && para != "") {
          sql.append(" and baoGuanQiXian=:baoGuanQiXian");
          tp.put("baoGuanQiXian", para);
        } 
        para = map.get("biaoTi");
        if (para != null && para != "") {
          sql.append(" and biaoTi like :biaoTi");
          tp.put("biaoTi", "%" + para + "%");
        } 
        para = map.get("wenJianKaiShiShiJian");
        if (para != null && para != "") {
          sql.append(" and wenJianKaiShiShiJian>=:wenJianKaiShiShiJian");
          tp.put("wenJianKaiShiShiJian", para);
        } 
        para = map.get("wenJianJieShuShiJian");
        if (para != null && para != "") {
          sql.append(" and wenJianJieShuShiJian<=:wenJianJieShuShiJian");
          tp.put("wenJianJieShuShiJian", para);
        } 
        para = map.get("guiDangRiQi");
        if (para != null && para != "") {
          sql.append(" and guiDangRiQi=:guiDangRiQi");
          tp.put("guiDangRiQi", para);
        } 
        para = map.get("dangHao");
        if (para != null && para != "") {
          sql.append(" and dangHao like :dangHao");
          tp.put("dangHao", "%" + para + "%");
        } 
        para = map.get("wenJianBianHao");
        if (para != null && para != "") {
          sql.append(" and wenJianBianHao=:wenJianBianHao");
          tp.put("wenJianBianHao", para);
        } 
        para = map.get("hbs");
        if (para != null && para != "") {
          sql.append(" and hangbiaoshi in(:hangbiaoshi)");
          tp.put("hangbiaoshi", para.toString().split(","));
        } 
      } 
      para = map.get("menLei");
      if (para != null && para != "") {
        sql.append(" and menLei=:menLei");
        tp.put("menLei", para);
      } 
    } 
  }
}
